forpy 2

Public Member Functions | Public Attributes | Private Member Functions | Friends | List of all members
forpy::TodoMark Struct Reference

Stores the parameters for one marked tree node. More...

`#include <types.h>`

## Public Member Functions
| TodoMark ()
| TodoMark (std::shared_ptr< std::vector< id_t >> sample_ids, const interv_t &interv, const id_t &node_id, const uint &depth)
bool | operator== (TodoMark const &rhs) const
| MOVE_ASSIGN (TodoMark)

## Public Attributes
std::shared_ptr< std::vector< id_t > > | sample_ids
interv_t | interv
id_t | node_id
uint | depth

## Private Member Functions
template<class Archive >
void | serialize (Archive &ar, const uint &)
| DISALLOW_COPY_AND_ASSIGN (TodoMark)

## Friends
class | cereal::access
std::ostream & | operator<< (std::ostream &stream, const TodoMark &self)

## Detailed Description

Stores the parameters for one marked tree node.

Contains the following elements:

1. shared_ptr to the element id list,
2. interval of the list to work with,
3. A node id (id_t).
4. The node's depth (uint).

Definition at line 152 of file types.h.

## Constructor & Destructor Documentation

## ◆ TodoMark() [1/2]

forpy::TodoMark::TodoMark | ( |  | ) |
| inline

Definition at line 153 of file types.h.

## ◆ TodoMark() [2/2]

forpy::TodoMark::TodoMark | ( | std::shared_ptr< std::vector< id_t >> | sample_ids,
|  | const interv_t & | interv,
|  | const id_t & | node_id,
|  | const uint & | depth
| ) |  |
| inline

Definition at line 154 of file types.h.

## Member Function Documentation

## ◆ DISALLOW_COPY_AND_ASSIGN()

forpy::TodoMark::DISALLOW_COPY_AND_ASSIGN | ( | TodoMark |  | ) |
| private

## ◆ MOVE_ASSIGN()

forpy::TodoMark::MOVE_ASSIGN | ( | TodoMark |  | ) |

## ◆ operator==()

bool forpy::TodoMark::operator== | ( | TodoMark const & | rhs | ) | const
| inline

Definition at line 165 of file types.h.

## ◆ serialize()

template<class Archive >

void forpy::TodoMark::serialize | ( | Archive & | ar,
|  | const uint & |
| ) |  |
| inline private

Definition at line 180 of file types.h.

## Friends And Related Function Documentation

## ◆ cereal::access

friend class cereal::access
| friend

Definition at line 178 of file types.h.

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | stream,
|  | const TodoMark & | self
| ) |  |
| friend

Definition at line 169 of file types.h.

## Member Data Documentation

## ◆ depth

uint forpy::TodoMark::depth

Definition at line 164 of file types.h.

## ◆ interv

interv_t forpy::TodoMark::interv

Definition at line 162 of file types.h.

## ◆ node_id

id_t forpy::TodoMark::node_id

Definition at line 163 of file types.h.

## ◆ sample_ids

std::shared_ptr<std::vector<id_t> > forpy::TodoMark::sample_ids

Definition at line 160 of file types.h.

The documentation for this struct was generated from the following file:

- /Users/classner/git/forpy/include/forpy/types.h